Subject: Re: [PATCH 0/11] convert d80211 to a proper protocol

From: Johannes Berg <[email-masked]>
Date: Wed, 08 Nov 2006 13:53:29 +0100

On Wed, 2006-11-08 at 13:09 +0100, Jiri Benc wrote:

> Unfortunately, in case of broadcast and multicast frames, we probably
> need to go through decryption handlers for each interface individually.
> At least I wasn't able to find a solution which allows to perform
> decryption only once for each frame. But theoretically it should be
> possible but I'm afraid it would be less effective than the current
> situation in the end.

Yeah, I can see the point, even though it seems that we can only decrypt
a frame with a single key, everything else will be invalid.

Maybe we can filter somehow and find which key to use instead of
filtering to the interface first... will need to think about it.

johannes